# Generated by Django 4.2.5 on 2024-01-24 08:56

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0042_contract_buyer_company_contract_seller_company_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='CompanyConfiguration',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('deleted_by_id', models.UUIDField(blank=True, editable=False, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, editable=False, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('maturity', models.IntegerField(default=0)),
                ('discount_range', models.JSONField(default=[1, 50])),
            ],
            options={
                'ordering': ('-created_at',),
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='company',
            name='company_type',
            field=models.CharField(choices=[('B', 'Buyer'), ('S', 'Seller'), ('F', 'Financier'), ('A', 'All')], default='X', max_length=1),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='user',
            name='companyy',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='users', to='app.company'),
        ),
        migrations.AlterField(
            model_name='bankaccount',
            name='account_type',
            field=models.CharField(choices=[('individual', 'Individual'), ('corporate', 'Corporate')], default='corporate', max_length=30),
        ),
        migrations.AlterField(
            model_name='bankaccount',
            name='third_party_id',
            field=models.CharField(blank=True, editable=False, max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='invoicetransaction',
            name='type',
            field=models.CharField(choices=[('D', 'Debit'), ('C', 'Credit')], max_length=1),
        ),
        migrations.AlterField(
            model_name='wallettransaction',
            name='type',
            field=models.CharField(choices=[('D', 'Debit'), ('C', 'Credit')], max_length=1),
        ),
        migrations.DeleteModel(
            name='UserConfiguration',
        ),
        migrations.AddField(
            model_name='companyconfiguration',
            name='company',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='config', to='app.company'),
        ),
        migrations.AddField(
            model_name='companyconfiguration',
            name='countries',
            field=models.ManyToManyField(blank=True, null=True, to='app.country'),
        ),
        migrations.AddField(
            model_name='companyconfiguration',
            name='sectors',
            field=models.ManyToManyField(blank=True, null=True, to='app.sector'),
        ),
    ]
